Payout Statement

The Payout Statement API allows you to fetch detailed payout transaction records for a specified period. Use this API to track payouts, reconcile transactions, generate reports, and monitor the status of your payouts in real time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Params:

NameTypeDescriptionMandatory(Yyes)/
Optional(O)
clientIdStringClient Id is provided in wowpe Dashboard.Y
secretKeyStringsecretKey is provided in wowpe Dashboard.Y
fromDateStringFrom Date (YYYY/MM/DD)- Specify the start date from which payout records should be fetched.Y
toDateStringTo Date (YYYY/MM/DD) - Specify the end date up to which payout records should be fetchedY
transactionTypeStringTransaction Type should be Transaction Credit or Transaction DebitO
crDrTypeStringThis value should be Debit or CreditO
orderIDStringClient Order Id which is used while initiating Payout transaction.O
pagenumberNumberSpecify the page number of the results to retrieve from the complete set of payout records.Y
pageSizeNumberSpecify the number of payout records to be returned per page.Y


❗️

A 400 Bad Request error indicates that the server cannot process the request due to a client error. This may be due to malformed request syntax, invalid request parameters, or deceptive request routing. Please refer to the error message for more details.

Example:

{"type":"https://tools.ietf.org/html/rfc7231#section-6.5.1","title":"One or more validation errors occurred.","status":400,"traceId":"00-57d6d771f49b4d660e32b910a37fbc45-c8915d1c3717712c-00","errors":{"fromDate":["Invalid date format. Use YYYY/MM/DD."]}}


Sample Request:

{
  "clientId": "40c86a1c-XXXXXXXXXXXXXXXXXXXXXXXXX",
  "secretKey": "e91650d0-XXXXXXXXXXXXXXXXXXX",
  "fromDate": "2026/03/01",
  "toDate": "2026/06/30",
  "pageNumber": 1,
  "pageSize": 10,
   "transactionType": "Transaction Debit",
   "crDrType": "Debit",
   "orderID": "05645421"
}

Body Params
string
required

Client Id is provided in wowpe Dashboard.

string
required

secretKey is provided in wowpe Dashboard.

string
required

From Date (YYYY/MM/DD)- Specify the start date from which payout records should be fetched.

string
required

To Date (YYYY/MM/DD) - Specify the end date up to which payout records should be fetched

string

Transaction Type should be Transaction Credit or Transaction Debit

string

This value should be Debit or Credit

string

Client Order Id which is used while initiating Payout transaction.

int32
required
Defaults to 1

Specify the page number of the results to retrieve from the complete set of payout records.

int32
required
Defaults to 10

Specify the number of payout records to be returned per page.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json